Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Patch an Action

Prev Next
Patch
/data/actionStatuses/{actionId}

Patch an active or historical action.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Path parameters
actionId
stringRequired

The id fo the action to update.

Minimum1.0
Exampleabcd1234
Query parameters
historical
booleanRequired

If true, the action is created as historical, else as upcoming.

Body parameters

The action status to be patched.

Responses
204

Action patched.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error